Rated 1 out of 5 stars

installiert auf FF 3.0.4 (en_us) nicht.

This review is for a previous version of the add-on (20081208). 

well...

you are the first one who has problems installing it. The comments here are no bug tracker, but it you use it like a bug tracker, please be more verbose about your problems, either in your comments here or via mail :-)